@echo off
echo.
echo Questo programma elimina le freccette che si sovrappongono alle icone di Windows 10.
echo * Elimina le freccette dei collegamenti
echo * Elimina le freccette dei file compressi
echo.
echo (C) 2020, Amedeo Valoroso, www.valoroso.it
echo.
echo.

rem Verifico i privilegi da Amministratore
net session >nul 2>&1
if %errorLevel% neq 0 goto ErroreAmm

rem Verifico la presenza dei file Transparent.ico e Transparent.reg
if not exist %~dp0Transparent.ico goto ErroreFile
if not exist %~dp0Transparent.reg goto ErroreFile

echo Premi un tasto per procedere. 
echo Quando ti verra' chiesto, ricordati di confermare l'inserimento dei valori nel registro di sistema!
pause >nul

echo Copio l'icona trasparente nel percorso di Windows...
copy %~dp0Transparent.ico %SystemRoot%\*.* >nul
if %errorLevel% neq 0 (
    echo Errore durante la copia dell'icona nel percorso di Windows.
    echo.
    echo Premi un tasto per uscire...
    pause >nul
    exit
    )

echo Modifico il registro di sistema: confermare l'inserimento...
regedit %~dp0Transparent.reg
if %errorLevel% neq 0 (
    echo Errore durante la modifica del registro di sistema.
    echo.
    echo Premi un tasto per uscire...
    pause >nul
    exit
    )

echo.
echo Ora verra' ricostruita la cache delle icone.
echo Chiudi tutti i programmi attivi. Dovro' chiudere la shell di Windows.
echo Sparira' il desktop ed il menu di avvio.
echo Premi un tasto per proseguire...
pause >nul
taskkill /f /im explorer.exe >nul
echo.
echo Quando il desktop e' sparito, premi un tasto per ricostruire la cache...
pause >nul
del %homepath%\AppData\Local\Microsoft\Windows\Explorer\iconcache* >nul
if %errorLevel% neq 0 (
    echo Errore durante la ricostruzione della cache delle icone.
    echo.
    echo Premi un tasto per uscire...
    pause >nul
    explorer.exe
    exit
    )

cls
echo.
echo Il processo e' terminato.
echo Se ti e' piaciuto, puoi condividere il mio sito www.valoroso.it
echo Grazie!
explorer.exe
pause >nul
exit

: ErroreAmm
echo Attenzione! Questo programma richiede i privilegi da Amministratore.
echo Cliccare con il tasto destro l'icona di questo programma ed eseguire come Amministratore.
echo.
echo Premi un tasto per uscire...
pause >nul
exit

:ErroreFile
echo Attenzione! Questo programma puo' essere avviato solo da una cartella locale (non in rete).
echo Il file Transparent.ico oppure Transparent.reg non e' stato trovato nel percorso:
echo   %~dp0
echo I file devono trovarsi nella stessa cartella di questo file .bat.
echo.
echo Premi un tasto per uscire...
pause >nul
exit